Subject: RE: [AVT] RTP: SSRC multiplexing for same medium

From: "Even, Roni" <[email-masked]>
Date: Wed, 8 Jan 2003 17:58:49 +0200

Hi,
One of the reasons mentioned for supporting it in Yokohama was to solve a
problem of IP stack that do not handle the "select" on multiple ports very
well. Is this a good reason for supporting unicast multiplexing in RTP. I am
not an expert on QoS but will there be a problem with QoS protocols that
will not be able to give different QoS for different users.
Thanks
Roni Even
Polycom
> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Wednesday, January 08, 2003 6:20 AM
> To: Stephen Casner
> Cc: AVT WG
> Subject: Re: [AVT] RTP: SSRC multiplexing for same medium
> 
> 
> I generally support the idea of multiplexing using SSRC. However, I 
> found the text a bit inadequate for a couple of reasons:
> 
> 1. multiplexing using different SSRC for the same media on 
> the same RTP 
> session is going to be the default case for multicast 
> sessions, no? The 
> text makes it sound like such a thing is an exception. Its true for 
> unicast, but this section seems multicast-centric anyway.
> 
> 2. Does this text imply that an RTP receiver MUST be prepared 
> to receive 
> multiple multiplexed streams on a single session? I expect most 
> implementations today using unicast are not prepared for that 
> (although 
> I believe they should be)
> 
> My apologies if these were already discussed during Yokohama; 
> I believe 
> I missed that session.
> 
> -Jonathan R.
> 
> 
> Stephen Casner wrote:
> > At Yokohama, we discussed multiplexing streams distinguished by
> > different SSRC identifiers within one RTP session.  This discussion
> > was in the context of the retransmission draft.  One or more people
> > requested that a sentence be added to Section 5.2 in the RTP spec to
> > say that SSRC multiplexing was OK for streams of the same medium
> > (vs. different media which is the primary emphasis of that section).
> > Here is the sentence I added.  Is it a good idea or bad idea to add
> > this?  If you think adding such a statement is a good idea, 
> does this
> > sentence say the right thing?
> > 
> >                                                         -- Steve
> > 
> > OLD:
> >    Using a different SSRC for each medium but sending them 
> in the same
> >    RTP session would avoid the first three problems but not the last
> >    two.
> > NEW ADDITION:
> >    It may be appropriate to multiplex streams of the same medium
> >    using different SSRC values in one RTP session in 
> scenarios where the
> >    last two problems do not apply.
> > 
> > _______________________________________________
> > Audio/Video Transport Working Group
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/avt
> > 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt